<html>
<head>
<title>OGRE: OgreProfiler.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreProfiler.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>&quot;</code><br>

<p>
<a href="OgreProfiler_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profile.html">Ogre::Profile</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An individual profile that will be processed by the <a class="el" href="classOgre_1_1Profiler.html" title="The profiler allows you to measure the performance of your code.">Profiler</a>.  <a href="classOgre_1_1Profile.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Profiler.html">Ogre::Profiler</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The profiler allows you to measure the performance of your code.  <a href="classOgre_1_1Profiler.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileInstance.html">Ogre::Profiler::ProfileInstance</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents an individual profile call.  <a href="structOgre_1_1Profiler_1_1ProfileInstance.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileFrame.html">Ogre::Profiler::ProfileFrame</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents the total timing information of a profile since profiles can be called more than once each frame.  <a href="structOgre_1_1Profiler_1_1ProfileFrame.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html">Ogre::Profiler::ProfileHistory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a history of each profile during the duration of the app.  <a href="structOgre_1_1Profiler_1_1ProfileHistory.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#1654899e6cfdec9f0972a45f3fa3fee7">OgreProfile</a>(a)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#f9d7ab83c5a5d7de7579eebe9d27e53d">OgreProfileBegin</a>(a)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProfiler_8h.html#292ec22b5d851ef26fa9d7685c18b1f5">OgreProfileEnd</a>(a)</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="1654899e6cfdec9f0972a45f3fa3fee7"></a><!-- doxytag: member="OgreProfiler.h::OgreProfile" ref="1654899e6cfdec9f0972a45f3fa3fee7" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OgreProfile          </td>
          <td>(</td>
          <td class="paramtype">a&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00061">61</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f9d7ab83c5a5d7de7579eebe9d27e53d"></a><!-- doxytag: member="OgreProfiler.h::OgreProfileBegin" ref="f9d7ab83c5a5d7de7579eebe9d27e53d" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OgreProfileBegin          </td>
          <td>(</td>
          <td class="paramtype">a&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00062">62</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="292ec22b5d851ef26fa9d7685c18b1f5"></a><!-- doxytag: member="OgreProfiler.h::OgreProfileEnd" ref="292ec22b5d851ef26fa9d7685c18b1f5" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OgreProfileEnd          </td>
          <td>(</td>
          <td class="paramtype">a&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00063">63</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
